public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: kde-apps/kopete/, kde-apps/kopete/files/
@ 2017-02-11 13:56 Johannes Huber
  0 siblings, 0 replies; 3+ messages in thread
From: Johannes Huber @ 2017-02-11 13:56 UTC (permalink / raw
  To: gentoo-commits

commit:     b90cb8d975dfbe549c209198e9e13ae4b6c4d035
Author:     Johannes Huber <johu <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 11 13:55:42 2017 +0000
Commit:     Johannes Huber <johu <AT> gentoo <DOT> org>
CommitDate: Sat Feb 11 13:56:52 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b90cb8d9

kde-apps/kopete: Fix CVE 2017-5593

Revision bump adds upstream patch which backports the fix for CVE 2017-5593.
Will be fixed in release 16.12.3. Versions >=16.11.80 are affected.

Package-Manager: Portage-2.3.3, Repoman-2.3.1

 .../files/kopete-16.12.2-CVE-2017-5593.patch       | 119 +++++++++++++++
 kde-apps/kopete/kopete-16.12.2-r1.ebuild           | 162 +++++++++++++++++++++
 2 files changed, 281 insertions(+)

diff --git a/kde-apps/kopete/files/kopete-16.12.2-CVE-2017-5593.patch b/kde-apps/kopete/files/kopete-16.12.2-CVE-2017-5593.patch
new file mode 100644
index 0000000000..73150c319f
--- /dev/null
+++ b/kde-apps/kopete/files/kopete-16.12.2-CVE-2017-5593.patch
@@ -0,0 +1,119 @@
+commit 6243764c4fd0985320d4a10b48051cc418d584ad
+Author: Pali Rohár <pali.rohar@gmail.com>
+Date:   Sat Feb 11 13:24:59 2017 +0100
+
+    Fix CVE 2017-5593 (User Impersonation Vulnerability) in jabber protocol
+    
+    BUG: 376348
+    FIXED-IN: 16.12.3
+
+diff --git a/protocols/jabber/libiris/patches/01_cve_2017-5593.patch b/protocols/jabber/libiris/patches/01_cve_2017-5593.patch
+new file mode 100644
+index 000000000..573ca66bc
+--- /dev/null
++++ b/protocols/jabber/libiris/patches/01_cve_2017-5593.patch
+@@ -0,0 +1,52 @@
++diff --git a/src/xmpp/xmpp-im/xmpp_tasks.cpp b/src/xmpp/xmpp-im/xmpp_tasks.cpp
++index 0e74b71..0837548 100644
++--- a/src/xmpp/xmpp-im/xmpp_tasks.cpp
+++++ b/src/xmpp/xmpp-im/xmpp_tasks.cpp
++@@ -888,14 +888,18 @@ bool JT_PushMessage::take(const QDomElement &e)
++ 	QDomElement forward;
++ 	Message::CarbonDir cd = Message::NoCarbon;
++ 
+++	Jid fromJid = Jid(e1.attribute(QLatin1String("from")));
++ 	// Check for Carbon
++ 	QDomNodeList list = e1.childNodes();
++ 	for (int i = 0; i < list.size(); ++i) {
++ 		QDomElement el = list.at(i).toElement();
++ 
++-		if (el.attribute("xmlns") == QLatin1String("urn:xmpp:carbons:2") && (el.tagName() == QLatin1String("received") || el.tagName() == QLatin1String("sent"))) {
+++		if (el.attribute("xmlns") == QLatin1String("urn:xmpp:carbons:2")
+++		    && (el.tagName() == QLatin1String("received") || el.tagName() == QLatin1String("sent"))
+++		    && fromJid.compare(Jid(e1.attribute(QLatin1String("to"))), false)) {
++ 			QDomElement el1 = el.firstChildElement();
++-			if (el1.tagName() == QLatin1String("forwarded") && el1.attribute(QLatin1String("xmlns")) == QLatin1String("urn:xmpp:forward:0")) {
+++			if (el1.tagName() == QLatin1String("forwarded")
+++			    && el1.attribute(QLatin1String("xmlns")) == QLatin1String("urn:xmpp:forward:0")) {
++ 				QDomElement el2 = el1.firstChildElement(QLatin1String("message"));
++ 				if (!el2.isNull()) {
++ 					forward = el2;
++@@ -904,7 +908,8 @@ bool JT_PushMessage::take(const QDomElement &e)
++ 				}
++ 			}
++ 		}
++-		else if (el.tagName() == QLatin1String("forwarded") && el.attribute(QLatin1String("xmlns")) == QLatin1String("urn:xmpp:forward:0")) {
+++		else if (el.tagName() == QLatin1String("forwarded")
+++			 && el.attribute(QLatin1String("xmlns")) == QLatin1String("urn:xmpp:forward:0")) {
++ 			forward = el.firstChildElement(QLatin1String("message")); // currently only messages are supportted
++ 			// TODO <delay> element support
++ 			if (!forward.isNull()) {
++@@ -913,7 +918,6 @@ bool JT_PushMessage::take(const QDomElement &e)
++ 		}
++ 	}
++ 
++-	QString from = e1.attribute(QLatin1String("from"));
++ 	Stanza s = client()->stream().createStanza(addCorrectNS(forward.isNull()? e1 : forward));
++ 	if(s.isNull()) {
++ 		//printf("take: bad stanza??\n");
++@@ -926,7 +930,7 @@ bool JT_PushMessage::take(const QDomElement &e)
++ 		return false;
++ 	}
++ 	if (!forward.isNull()) {
++-		m.setForwardedFrom(Jid(from));
+++		m.setForwardedFrom(fromJid);
++ 		m.setCarbonDirection(cd);
++ 	}
++ 
+diff --git a/protocols/jabber/libiris/src/xmpp/xmpp-im/xmpp_tasks.cpp b/protocols/jabber/libiris/src/xmpp/xmpp-im/xmpp_tasks.cpp
+index 0e74b7126..083754867 100644
+--- a/protocols/jabber/libiris/src/xmpp/xmpp-im/xmpp_tasks.cpp
++++ b/protocols/jabber/libiris/src/xmpp/xmpp-im/xmpp_tasks.cpp
+@@ -888,14 +888,18 @@ bool JT_PushMessage::take(const QDomElement &e)
+ 	QDomElement forward;
+ 	Message::CarbonDir cd = Message::NoCarbon;
+ 
++	Jid fromJid = Jid(e1.attribute(QLatin1String("from")));
+ 	// Check for Carbon
+ 	QDomNodeList list = e1.childNodes();
+ 	for (int i = 0; i < list.size(); ++i) {
+ 		QDomElement el = list.at(i).toElement();
+ 
+-		if (el.attribute("xmlns") == QLatin1String("urn:xmpp:carbons:2") && (el.tagName() == QLatin1String("received") || el.tagName() == QLatin1String("sent"))) {
++		if (el.attribute("xmlns") == QLatin1String("urn:xmpp:carbons:2")
++		    && (el.tagName() == QLatin1String("received") || el.tagName() == QLatin1String("sent"))
++		    && fromJid.compare(Jid(e1.attribute(QLatin1String("to"))), false)) {
+ 			QDomElement el1 = el.firstChildElement();
+-			if (el1.tagName() == QLatin1String("forwarded") && el1.attribute(QLatin1String("xmlns")) == QLatin1String("urn:xmpp:forward:0")) {
++			if (el1.tagName() == QLatin1String("forwarded")
++			    && el1.attribute(QLatin1String("xmlns")) == QLatin1String("urn:xmpp:forward:0")) {
+ 				QDomElement el2 = el1.firstChildElement(QLatin1String("message"));
+ 				if (!el2.isNull()) {
+ 					forward = el2;
+@@ -904,7 +908,8 @@ bool JT_PushMessage::take(const QDomElement &e)
+ 				}
+ 			}
+ 		}
+-		else if (el.tagName() == QLatin1String("forwarded") && el.attribute(QLatin1String("xmlns")) == QLatin1String("urn:xmpp:forward:0")) {
++		else if (el.tagName() == QLatin1String("forwarded")
++			 && el.attribute(QLatin1String("xmlns")) == QLatin1String("urn:xmpp:forward:0")) {
+ 			forward = el.firstChildElement(QLatin1String("message")); // currently only messages are supportted
+ 			// TODO <delay> element support
+ 			if (!forward.isNull()) {
+@@ -913,7 +918,6 @@ bool JT_PushMessage::take(const QDomElement &e)
+ 		}
+ 	}
+ 
+-	QString from = e1.attribute(QLatin1String("from"));
+ 	Stanza s = client()->stream().createStanza(addCorrectNS(forward.isNull()? e1 : forward));
+ 	if(s.isNull()) {
+ 		//printf("take: bad stanza??\n");
+@@ -926,7 +930,7 @@ bool JT_PushMessage::take(const QDomElement &e)
+ 		return false;
+ 	}
+ 	if (!forward.isNull()) {
+-		m.setForwardedFrom(Jid(from));
++		m.setForwardedFrom(fromJid);
+ 		m.setCarbonDirection(cd);
+ 	}
+ 

diff --git a/kde-apps/kopete/kopete-16.12.2-r1.ebuild b/kde-apps/kopete/kopete-16.12.2-r1.ebuild
new file mode 100644
index 0000000000..d98e247f3d
--- /dev/null
+++ b/kde-apps/kopete/kopete-16.12.2-r1.ebuild
@@ -0,0 +1,162 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+KDE_HANDBOOK="optional"
+inherit kde4-base
+
+DESCRIPTION="KDE multi-protocol IM client"
+HOMEPAGE="https://kopete.kde.org https://www.kde.org/applications/internet/kopete"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="debug ssl v4l"
+
+# tests hang, last checked for 4.2.96
+RESTRICT+=" test"
+
+# Available plugins
+#
+#	addbookmarks: NO DEPS
+#	alias: NO DEPS (disabled upstream)
+#	autoreplace: NO DEPS
+#	contactnotes: NO DEPS
+#	highlight: NO DEPS
+#	history: NO DEPS
+#	latex: virtual/latex as RDEPEND
+#	nowlistening: NO DEPS
+#	otr: libotr
+#	pipes: NO DEPS
+#	privacy: NO DEPS
+#	statistics: dev-db/sqlite:3
+#	texteffect: NO DEPS
+#	translator: NO DEPS
+#	urlpicpreview: NO DEPS
+#	webpresence: libxml2 libxslt
+# NOTE: By default we enable all plugins that don't have any dependencies
+PLUGINS="+addbookmarks +autoreplace +contactnotes +highlight +history latex
++nowlistening otr +pipes +privacy +statistics +texteffect +translator
++urlpicpreview webpresence"
+
+# Available protocols
+#
+#	gadu: net-libs/libgadu @since 4.3
+#	groupwise: app-crypt/qca:2
+#	irc: NO DEPS, probably will fail so inform user about it
+#	xmpp: net-dns/libidn app-crypt/qca:2 ENABLED BY DEFAULT NETWORK
+#	jingle: media-libs/speex net-libs/ortp DISABLED BY UPSTREAM
+#	meanwhile: net-libs/meanwhile
+#	oscar: NO DEPS
+#   telepathy: net-libs/decibel
+#   testbed: NO DEPS
+#	winpopup: NO DEPS (we're adding samba as RDEPEND so it works)
+#	yahoo: media-libs/jasper
+#	zeroconf (bonjour): NO DEPS
+PROTOCOLS="gadu groupwise jingle meanwhile oscar skype
+testbed winpopup +xmpp yahoo zeroconf"
+
+# disabled protocols
+#   telepathy: net-libs/decibel
+#   irc: NO DEPS
+#   msn: net-libs/libmsn
+#	qq: NO DEPS
+
+IUSE="${IUSE} ${PLUGINS} ${PROTOCOLS}"
+
+COMMONDEPEND="
+	$(add_kdeapps_dep kdepimlibs)
+	dev-libs/libpcre
+	>=dev-qt/qtgui-4.4.0:4[mng]
+	kde-frameworks/kdelibs:4[zeroconf?]
+	media-libs/phonon[qt4]
+	media-libs/qimageblitz
+	!aqua? (
+		x11-libs/libX11
+		x11-libs/libXScrnSaver
+	)
+	gadu? ( >=net-libs/libgadu-1.8.0[threads] )
+	groupwise? ( app-crypt/qca:2[qt4(+)] )
+	jingle? (
+		dev-libs/expat
+		dev-libs/openssl:0
+		>=media-libs/mediastreamer-2.3.0
+		media-libs/speex
+		net-libs/libsrtp
+		net-libs/ortp:=
+	)
+	meanwhile? ( net-libs/meanwhile )
+	otr? ( >=net-libs/libotr-4.0.0 )
+	statistics? ( dev-db/sqlite:3 )
+	v4l? ( media-libs/libv4l )
+	webpresence? (
+		dev-libs/libxml2
+		dev-libs/libxslt
+	)
+	xmpp? (
+		app-crypt/qca:2[qt4(+)]
+		dev-libs/qjson
+		net-dns/libidn
+		sys-libs/zlib
+	)
+	yahoo? ( media-libs/jasper )
+"
+RDEPEND="${COMMONDEPEND}
+	latex? (
+		|| (
+			media-gfx/imagemagick
+			media-gfx/graphicsmagick[imagemagick]
+		)
+		virtual/latex-base
+	)
+	ssl? ( app-crypt/qca:2[ssl] )
+	winpopup? ( net-fs/samba )
+"
+DEPEND="${COMMONDEPEND}
+	jingle? ( dev-libs/jsoncpp )
+	!aqua? ( x11-proto/scrnsaverproto )
+"
+
+PATCHES=( "${FILESDIR}/${P}-CVE-2017-5593.patch" )
+
+src_configure() {
+	local x x2
+	# Handle common stuff
+	local mycmakeargs=(
+		-DWITH_GOOGLETALK=$(usex jingle)
+		-DWITH_LiboRTP=$(usex jingle)
+		-DWITH_Mediastreamer=$(usex jingle)
+		-DWITH_Speex=$(usex jingle)
+		-DDISABLE_VIDEOSUPPORT=$(usex !v4l)
+	)
+	# enable protocols
+	for x in ${PROTOCOLS}; do
+		case ${x/+/} in
+			zeroconf) x2=bonjour ;;
+			xmpp) x2=jabber ;;
+			*) x2=${x/+/} ;;
+		esac
+		mycmakeargs+=( -DWITH_${x2}=$(usex ${x/+/}) )
+	done
+
+	mycmakeargs+=( -DWITH_Libmsn=OFF -DWITH_qq=OFF -DWITH_sms=OFF )
+
+	# enable plugins
+	for x in ${PLUGINS}; do
+		mycmakeargs+=( -DWITH_${x/+/}=$(usex ${x/+/}) )
+	done
+
+	kde4-base_src_configure
+}
+
+pkg_postinst() {
+	kde4-base_pkg_postinst
+
+	if ! use ssl; then
+		if use xmpp ; then # || use irc; then
+			if ! has_version "app-crypt/qca:2[ssl]" ; then
+				elog "In order to use ssl in xmpp you'll need to"
+				elog "install app-crypt/qca package with USE=ssl."
+			fi
+		fi
+	fi
+}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: kde-apps/kopete/, kde-apps/kopete/files/
@ 2017-05-01  8:03 Andreas Sturmlechner
  0 siblings, 0 replies; 3+ messages in thread
From: Andreas Sturmlechner @ 2017-05-01  8:03 UTC (permalink / raw
  To: gentoo-commits

commit:     a8850d17d0b4b533bc864b385164e20a5b4686f1
Author:     Arfrever Frehtes Taifersar Arahesis <Arfrever <AT> Apache <DOT> Org>
AuthorDate: Sun Mar  5 19:20:22 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Mon May  1 08:02:27 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a8850d17

kde-apps/kopete: Fix configure w/ >=kde-apps/kdepimlibs-4.14.10_p20160611

Update gpgme++ and qgpgme references.

Gentoo-bug: 611818

 .../kopete/files/kopete-17.04.0-kde4qgpgme.patch   |  56 +++++++
 kde-apps/kopete/kopete-17.04.0-r1.ebuild           | 165 +++++++++++++++++++++
 2 files changed, 221 insertions(+)

diff --git a/kde-apps/kopete/files/kopete-17.04.0-kde4qgpgme.patch b/kde-apps/kopete/files/kopete-17.04.0-kde4qgpgme.patch
new file mode 100644
index 00000000000..6589f06027b
--- /dev/null
+++ b/kde-apps/kopete/files/kopete-17.04.0-kde4qgpgme.patch
@@ -0,0 +1,56 @@
+--- /CMakeLists.txt
++++ /CMakeLists.txt
+@@ -98,8 +98,8 @@
+ macro_optional_find_package(QJSON)
+ macro_log_feature(QJSON_FOUND "QJSON" "JSON handling library for Qt" "http://qjson.sourceforge.net/" FALSE "" "Required for the Jabber protocol")
+ 
+-macro_optional_find_package(QGpgme)
+-macro_log_feature(QGPGME_FOUND "QGpgme" "QGpgME library (from kdepimlibs)" "http://www.kde.org/" FALSE "" "Required for the Cryptography plugin")
++macro_optional_find_package(KDE4_QGpgme)
++macro_log_feature(KDE4_QGPGME_FOUND "KDE4_QGpgme" "KDE4_QGpgME library (from kdepimlibs)" "http://www.kde.org/" FALSE "" "Required for the Cryptography plugin")
+ 
+ macro_optional_find_package(Sqlite)
+ macro_log_feature(SQLITE_FOUND "Sqlite" "SQLite is a Binary-Database" "http://www.sqlite.org/" FALSE "" "Required for the Statistic plugin")
+--- /plugins/CMakeLists.txt
++++ /plugins/CMakeLists.txt
+@@ -74,6 +74,6 @@
+ if (WITH_otr AND LIBOTR_FOUND)
+   add_subdirectory ( otr )
+ endif (WITH_otr AND LIBOTR_FOUND)
+-if (WITH_cryptography AND KLEOPATRA_FOUND AND QGPGME_FOUND)
++if (WITH_cryptography AND KLEOPATRA_FOUND AND KDE4_QGPGME_FOUND)
+   add_subdirectory ( cryptography )
+-endif (WITH_cryptography AND KLEOPATRA_FOUND AND QGPGME_FOUND)
++endif (WITH_cryptography AND KLEOPATRA_FOUND AND KDE4_QGPGME_FOUND)
+--- /plugins/cryptography/CMakeLists.txt
++++ /plugins/cryptography/CMakeLists.txt
+@@ -17,7 +17,7 @@
+ 
+ kde4_add_plugin(kopete_cryptography ${kopete_cryptography_PART_SRCS})
+ 
+-target_link_libraries(kopete_cryptography ${QT_QTGUI_LIBRARY}  ${KDE4_KDECORE_LIBS} kopete ${KLEOPATRA_LIBRARIES} ${KDE4_KABC_LIBS} ${QGPGME_LIBRARIES} )
++target_link_libraries(kopete_cryptography ${QT_QTGUI_LIBRARY}  ${KDE4_KDECORE_LIBS} kopete ${KLEOPATRA_LIBRARIES} ${KDE4_KABC_LIBS} ${KDE4_QGPGME_LIBRARIES} )
+ 
+ install(TARGETS kopete_cryptography  DESTINATION ${PLUGIN_INSTALL_DIR})
+ 
+--- /plugins/cryptography/cryptographyplugin.cpp
++++ /plugins/cryptography/cryptographyplugin.cpp
+@@ -52,12 +52,12 @@
+ #include <kleo/signjob.h>
+ #include <kleo/keylistjob.h>
+ #include <kleo/job.h>
+-#include <gpgme++/decryptionresult.h>
+-#include <gpgme++/verificationresult.h>
+-#include <gpgme++/keylistresult.h>
+-#include <gpgme++/signingresult.h>
+-#include <gpgme++/encryptionresult.h>
+-#include <gpgme++/key.h>
++#include <kde4_gpgme++/decryptionresult.h>
++#include <kde4_gpgme++/verificationresult.h>
++#include <kde4_gpgme++/keylistresult.h>
++#include <kde4_gpgme++/signingresult.h>
++#include <kde4_gpgme++/encryptionresult.h>
++#include <kde4_gpgme++/key.h>
+ 
+ // kabc stuff
+ #include <kabc/addressbook.h>

diff --git a/kde-apps/kopete/kopete-17.04.0-r1.ebuild b/kde-apps/kopete/kopete-17.04.0-r1.ebuild
new file mode 100644
index 00000000000..2a6b3f1f6d8
--- /dev/null
+++ b/kde-apps/kopete/kopete-17.04.0-r1.ebuild
@@ -0,0 +1,165 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+KDE_HANDBOOK="optional"
+inherit kde4-base
+
+DESCRIPTION="KDE multi-protocol IM client"
+HOMEPAGE="https://kopete.kde.org https://www.kde.org/applications/internet/kopete"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="debug ssl v4l"
+
+# tests hang, last checked for 4.2.96
+RESTRICT+=" test"
+
+# Available plugins
+#
+#	addbookmarks: NO DEPS
+#	alias: NO DEPS (disabled upstream)
+#	autoreplace: NO DEPS
+#	contactnotes: NO DEPS
+#	cryptography: kde-apps/kdepim-common-libs:4 or kde-apps/libkleo:4
+#	highlight: NO DEPS
+#	history: NO DEPS
+#	latex: virtual/latex as RDEPEND
+#	nowlistening: NO DEPS
+#	otr: libotr
+#	pipes: NO DEPS
+#	privacy: NO DEPS
+#	statistics: dev-db/sqlite:3
+#	texteffect: NO DEPS
+#	translator: NO DEPS
+#	urlpicpreview: NO DEPS
+#	webpresence: libxml2 libxslt
+# NOTE: By default we enable all plugins that don't have any dependencies
+PLUGINS="+addbookmarks +autoreplace +contactnotes cryptography +highlight
++history latex +nowlistening otr +pipes +privacy +statistics +texteffect
++translator +urlpicpreview webpresence"
+
+# Available protocols
+#
+#	gadu: net-libs/libgadu @since 4.3
+#	groupwise: app-crypt/qca:2
+#	irc: NO DEPS, probably will fail so inform user about it
+#	xmpp: net-dns/libidn app-crypt/qca:2 ENABLED BY DEFAULT NETWORK
+#	jingle: media-libs/speex net-libs/ortp DISABLED BY UPSTREAM
+#	meanwhile: net-libs/meanwhile
+#	oscar: NO DEPS
+#	telepathy: net-libs/decibel
+#	testbed: NO DEPS
+#	winpopup: NO DEPS (we're adding samba as RDEPEND so it works)
+#	yahoo: media-libs/jasper
+#	zeroconf (bonjour): NO DEPS
+PROTOCOLS="gadu groupwise jingle meanwhile oscar skype
+testbed winpopup +xmpp yahoo zeroconf"
+
+# disabled protocols
+#	telepathy: net-libs/decibel
+#	irc: NO DEPS
+#	msn: net-libs/libmsn
+#	qq: NO DEPS
+
+IUSE="${IUSE} ${PLUGINS} ${PROTOCOLS}"
+
+COMMONDEPEND="
+	$(add_kdeapps_dep kdepimlibs '' 4.14.10_p20160611)
+	dev-libs/libpcre
+	>=dev-qt/qtgui-4.4.0:4[mng]
+	kde-frameworks/kdelibs:4[zeroconf?]
+	media-libs/phonon[qt4]
+	media-libs/qimageblitz
+	!aqua? (
+		x11-libs/libX11
+		x11-libs/libXScrnSaver
+	)
+	cryptography? (
+		|| (
+			$(add_kdeapps_dep kdepim-common-libs)
+			$(add_kdeapps_dep libkleo '' 4.4.2016.01-r1)
+		)
+	)
+	gadu? ( >=net-libs/libgadu-1.8.0[threads] )
+	groupwise? ( app-crypt/qca:2[qt4(+)] )
+	jingle? (
+		dev-libs/expat
+		dev-libs/openssl:0
+		>=media-libs/mediastreamer-2.3.0
+		net-libs/libsrtp:=
+		net-libs/ortp:=
+	)
+	meanwhile? ( net-libs/meanwhile )
+	otr? ( >=net-libs/libotr-4.0.0 )
+	statistics? ( dev-db/sqlite:3 )
+	v4l? ( media-libs/libv4l )
+	webpresence? (
+		dev-libs/libxml2
+		dev-libs/libxslt
+	)
+	xmpp? (
+		app-crypt/qca:2[qt4(+)]
+		dev-libs/qjson
+		net-dns/libidn
+		sys-libs/zlib
+	)
+	yahoo? ( media-libs/jasper )
+"
+RDEPEND="${COMMONDEPEND}
+	!=kde-apps/kdepimlibs-4.14.11_pre20160211*
+	jingle? ( media-libs/speex )
+	latex? (
+		virtual/imagemagick-tools
+		virtual/latex-base
+	)
+	ssl? ( app-crypt/qca:2[ssl] )
+	winpopup? ( net-fs/samba )
+"
+DEPEND="${COMMONDEPEND}
+	jingle? ( dev-libs/jsoncpp )
+	!aqua? ( x11-proto/scrnsaverproto )
+"
+
+PATCHES=( "${FILESDIR}/${P}-kde4qgpgme.patch" )
+
+src_configure() {
+	local x x2
+	# Handle common stuff
+	local mycmakeargs=(
+		-DWITH_LiboRTP=$(usex jingle)
+		-DWITH_Mediastreamer=$(usex jingle)
+		-DDISABLE_VIDEOSUPPORT=$(usex !v4l)
+	)
+	# enable protocols
+	for x in ${PROTOCOLS}; do
+		case ${x/+/} in
+			jingle) x2=libjingle ;;
+			xmpp) x2=jabber ;;
+			zeroconf) x2=bonjour ;;
+			*) x2=${x/+/} ;;
+		esac
+		mycmakeargs+=( -DWITH_${x2}=$(usex ${x/+/}) )
+	done
+
+	mycmakeargs+=( -DWITH_Libmsn=OFF -DWITH_qq=OFF -DWITH_sms=OFF )
+
+	# enable plugins
+	for x in ${PLUGINS}; do
+		mycmakeargs+=( -DWITH_${x/+/}=$(usex ${x/+/}) )
+	done
+
+	kde4-base_src_configure
+}
+
+pkg_postinst() {
+	kde4-base_pkg_postinst
+
+	if ! use ssl; then
+		if use xmpp ; then # || use irc; then
+			if ! has_version "app-crypt/qca:2[ssl]" ; then
+				elog "In order to use ssl in xmpp you'll need to"
+				elog "install app-crypt/qca package with USE=ssl."
+			fi
+		fi
+	fi
+}


^ permalink raw reply related	[flat|nested] 3+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: kde-apps/kopete/, kde-apps/kopete/files/
@ 2017-12-28  1:38 Andreas Sturmlechner
  0 siblings, 0 replies; 3+ messages in thread
From: Andreas Sturmlechner @ 2017-12-28  1:38 UTC (permalink / raw
  To: gentoo-commits

commit:     64e0c2a7bc03fa8bb731884be6610237c93bcc93
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 28 01:35:16 2017 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Thu Dec 28 01:37:54 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=64e0c2a7

kde-apps/kopete: Drop slot 4

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 kde-apps/kopete/Manifest                           |   1 -
 .../kopete/files/kopete-17.04.0-kde4qgpgme.patch   |  56 --------
 kde-apps/kopete/kopete-17.08.3.ebuild              | 159 ---------------------
 kde-apps/kopete/metadata.xml                       |   2 -
 4 files changed, 218 deletions(-)

diff --git a/kde-apps/kopete/Manifest b/kde-apps/kopete/Manifest
index c7fc552c48e..97d019b5275 100644
--- a/kde-apps/kopete/Manifest
+++ b/kde-apps/kopete/Manifest
@@ -1,2 +1 @@
-DIST kopete-17.08.3.tar.xz 6344464 BLAKE2B 502c7eaf786c929380c82f0e984cfd29c647beb8279e0324f41a8a93a39978686418816befc1db01d07076f417bec6f29908941dd76cd68d8190c1c8d01ce740 SHA512 0c069ec3208bb499ea2ffb92ba5a448980a0190b26a579903b126b7e72bf2c61e59c1ebc90065fc478415aed11aee67d7b4ef0f9d240c18a84e14d6163899f25
 DIST kopete-17.08.3_p20171029.tar.gz 8004208 BLAKE2B d58fefa127021e2d3c07d55fbe461b958351e2e712922de620f46b20fd8e503bb065b42f93bd81d0a4d109e90bd6cbada80b507d2e6140b97b123c0a15bc801d SHA512 bb70dac4f1336502fb79564e132785d3d6faf01520126441e7cde902b75ae8ac36ae796e0d24318f16e6fffeaa0ec1833a6582731ec734a86fd495dd7252fcb8

diff --git a/kde-apps/kopete/files/kopete-17.04.0-kde4qgpgme.patch b/kde-apps/kopete/files/kopete-17.04.0-kde4qgpgme.patch
deleted file mode 100644
index 59e2a3752e2..00000000000
--- a/kde-apps/kopete/files/kopete-17.04.0-kde4qgpgme.patch
+++ /dev/null
@@ -1,56 +0,0 @@
---- a/CMakeLists.txt
-+++ b/CMakeLists.txt
-@@ -98,8 +98,8 @@
- macro_optional_find_package(QJSON)
- macro_log_feature(QJSON_FOUND "QJSON" "JSON handling library for Qt" "http://qjson.sourceforge.net/" FALSE "" "Required for the Jabber protocol")
- 
--macro_optional_find_package(QGpgme)
--macro_log_feature(QGPGME_FOUND "QGpgme" "QGpgME library (from kdepimlibs)" "http://www.kde.org/" FALSE "" "Required for the Cryptography plugin")
-+macro_optional_find_package(KDE4_QGpgme)
-+macro_log_feature(KDE4_QGPGME_FOUND "KDE4_QGpgme" "KDE4_QGpgME library (from kdepimlibs)" "http://www.kde.org/" FALSE "" "Required for the Cryptography plugin")
- 
- macro_optional_find_package(Sqlite)
- macro_log_feature(SQLITE_FOUND "Sqlite" "SQLite is a Binary-Database" "http://www.sqlite.org/" FALSE "" "Required for the Statistic plugin")
---- a/plugins/CMakeLists.txt
-+++ b/plugins/CMakeLists.txt
-@@ -74,6 +74,6 @@
- if (WITH_otr AND LIBOTR_FOUND)
-   add_subdirectory ( otr )
- endif (WITH_otr AND LIBOTR_FOUND)
--if (WITH_cryptography AND KLEOPATRA_FOUND AND QGPGME_FOUND)
-+if (WITH_cryptography AND KLEOPATRA_FOUND AND KDE4_QGPGME_FOUND)
-   add_subdirectory ( cryptography )
--endif (WITH_cryptography AND KLEOPATRA_FOUND AND QGPGME_FOUND)
-+endif (WITH_cryptography AND KLEOPATRA_FOUND AND KDE4_QGPGME_FOUND)
---- a/plugins/cryptography/CMakeLists.txt
-+++ b/plugins/cryptography/CMakeLists.txt
-@@ -17,7 +17,7 @@
- 
- kde4_add_plugin(kopete_cryptography ${kopete_cryptography_PART_SRCS})
- 
--target_link_libraries(kopete_cryptography ${QT_QTGUI_LIBRARY}  ${KDE4_KDECORE_LIBS} kopete ${KLEOPATRA_LIBRARIES} ${KDE4_KABC_LIBS} ${QGPGME_LIBRARIES} )
-+target_link_libraries(kopete_cryptography ${QT_QTGUI_LIBRARY}  ${KDE4_KDECORE_LIBS} kopete ${KLEOPATRA_LIBRARIES} ${KDE4_KABC_LIBS} ${KDE4_QGPGME_LIBRARIES} )
- 
- install(TARGETS kopete_cryptography  DESTINATION ${PLUGIN_INSTALL_DIR})
- 
---- a/plugins/cryptography/cryptographyplugin.cpp
-+++ b/plugins/cryptography/cryptographyplugin.cpp
-@@ -52,12 +52,12 @@
- #include <kleo/signjob.h>
- #include <kleo/keylistjob.h>
- #include <kleo/job.h>
--#include <gpgme++/decryptionresult.h>
--#include <gpgme++/verificationresult.h>
--#include <gpgme++/keylistresult.h>
--#include <gpgme++/signingresult.h>
--#include <gpgme++/encryptionresult.h>
--#include <gpgme++/key.h>
-+#include <kde4_gpgme++/decryptionresult.h>
-+#include <kde4_gpgme++/verificationresult.h>
-+#include <kde4_gpgme++/keylistresult.h>
-+#include <kde4_gpgme++/signingresult.h>
-+#include <kde4_gpgme++/encryptionresult.h>
-+#include <kde4_gpgme++/key.h>
- 
- // kabc stuff
- #include <kabc/addressbook.h>

diff --git a/kde-apps/kopete/kopete-17.08.3.ebuild b/kde-apps/kopete/kopete-17.08.3.ebuild
deleted file mode 100644
index 6be613b08b5..00000000000
--- a/kde-apps/kopete/kopete-17.08.3.ebuild
+++ /dev/null
@@ -1,159 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-KDE_HANDBOOK="optional"
-QT3SUPPORT_REQUIRED="true"
-inherit kde4-base
-
-DESCRIPTION="KDE multi-protocol IM client"
-HOMEPAGE="https://kopete.kde.org https://www.kde.org/applications/internet/kopete"
-KEYWORDS="~amd64 ~x86"
-IUSE="debug ssl v4l"
-
-# tests hang, last checked for 4.2.96
-RESTRICT+=" test"
-
-# Available plugins
-#
-#	addbookmarks: NO DEPS
-#	alias: NO DEPS (disabled upstream)
-#	autoreplace: NO DEPS
-#	contactnotes: NO DEPS
-#	cryptography: kde-apps/libkleo:4
-#	highlight: NO DEPS
-#	history: NO DEPS
-#	latex: virtual/latex as RDEPEND
-#	nowlistening: NO DEPS
-#	otr: libotr
-#	pipes: NO DEPS
-#	privacy: NO DEPS
-#	statistics: dev-db/sqlite:3
-#	texteffect: NO DEPS
-#	translator: NO DEPS
-#	urlpicpreview: NO DEPS
-#	webpresence: libxml2 libxslt
-# NOTE: By default we enable all plugins that don't have any dependencies
-PLUGINS="+addbookmarks +autoreplace +contactnotes cryptography +highlight
-+history latex +nowlistening otr +pipes +privacy +statistics +texteffect
-+translator +urlpicpreview webpresence"
-
-# Available protocols
-#
-#	gadu: net-libs/libgadu @since 4.3
-#	groupwise: app-crypt/qca:2
-#	irc: NO DEPS, probably will fail so inform user about it
-#	xmpp: net-dns/libidn app-crypt/qca:2 ENABLED BY DEFAULT NETWORK
-#	jingle: media-libs/speex net-libs/ortp DISABLED BY UPSTREAM
-#	meanwhile: net-libs/meanwhile
-#	oscar: NO DEPS
-#	telepathy: net-libs/decibel
-#	testbed: NO DEPS
-#	winpopup: NO DEPS (we're adding samba as RDEPEND so it works)
-#	yahoo: media-libs/jasper
-#	zeroconf (bonjour): NO DEPS
-PROTOCOLS="gadu groupwise jingle meanwhile oscar skype
-testbed winpopup +xmpp yahoo zeroconf"
-
-# disabled protocols
-#	telepathy: net-libs/decibel
-#	irc: NO DEPS
-#	msn: net-libs/libmsn
-#	qq: NO DEPS
-
-IUSE="${IUSE} ${PLUGINS} ${PROTOCOLS}"
-
-COMMONDEPEND="
-	$(add_kdeapps_dep kdepimlibs '' 4.14.10_p20160611)
-	dev-libs/libpcre
-	>=dev-qt/qtgui-4.4.0:4[mng]
-	kde-frameworks/kdelibs:4[zeroconf?]
-	media-libs/phonon[qt4]
-	media-libs/qimageblitz[-qt5(+)]
-	x11-libs/libX11
-	x11-libs/libXScrnSaver
-	cryptography? ( $(add_kdeapps_dep libkleo '' 4.4.2016.01-r1) )
-	gadu? ( >=net-libs/libgadu-1.8.0[threads] )
-	groupwise? ( app-crypt/qca:2[qt4(+)] )
-	jingle? (
-		dev-libs/expat
-		dev-libs/openssl:0
-		>=media-libs/mediastreamer-2.3.0
-		net-libs/libsrtp:=
-		net-libs/ortp:=
-	)
-	meanwhile? ( net-libs/meanwhile )
-	otr? ( >=net-libs/libotr-4.0.0 )
-	statistics? ( dev-db/sqlite:3 )
-	v4l? ( media-libs/libv4l )
-	webpresence? (
-		dev-libs/libxml2
-		dev-libs/libxslt
-	)
-	xmpp? (
-		app-crypt/qca:2[qt4(+)]
-		dev-libs/qjson
-		net-dns/libidn
-		sys-libs/zlib
-	)
-	yahoo? ( media-libs/jasper )
-"
-RDEPEND="${COMMONDEPEND}
-	!=kde-apps/kdepimlibs-4.14.11_pre20160211*
-	jingle? ( media-libs/speex )
-	latex? (
-		virtual/imagemagick-tools
-		virtual/latex-base
-	)
-	ssl? ( app-crypt/qca:2[ssl] )
-	winpopup? ( net-fs/samba )
-"
-DEPEND="${COMMONDEPEND}
-	x11-proto/scrnsaverproto
-	jingle? ( dev-libs/jsoncpp )
-"
-
-PATCHES=( "${FILESDIR}/${PN}-17.04.0-kde4qgpgme.patch" )
-
-src_configure() {
-	local x x2
-	# Handle common stuff
-	local mycmakeargs=(
-		-DWITH_LiboRTP=$(usex jingle)
-		-DWITH_Mediastreamer=$(usex jingle)
-		-DDISABLE_VIDEOSUPPORT=$(usex !v4l)
-	)
-	# enable protocols
-	for x in ${PROTOCOLS}; do
-		case ${x/+/} in
-			jingle) x2=libjingle ;;
-			xmpp) x2=jabber ;;
-			zeroconf) x2=bonjour ;;
-			*) x2=${x/+/} ;;
-		esac
-		mycmakeargs+=( -DWITH_${x2}=$(usex ${x/+/}) )
-	done
-
-	mycmakeargs+=( -DWITH_Libmsn=OFF -DWITH_qq=OFF -DWITH_sms=OFF )
-
-	# enable plugins
-	for x in ${PLUGINS}; do
-		mycmakeargs+=( -DWITH_${x/+/}=$(usex ${x/+/}) )
-	done
-
-	kde4-base_src_configure
-}
-
-pkg_postinst() {
-	kde4-base_pkg_postinst
-
-	if ! use ssl; then
-		if use xmpp ; then # || use irc; then
-			if ! has_version "app-crypt/qca:2[ssl]" ; then
-				elog "In order to use ssl in xmpp you'll need to"
-				elog "install app-crypt/qca package with USE=ssl."
-			fi
-		fi
-	fi
-}

diff --git a/kde-apps/kopete/metadata.xml b/kde-apps/kopete/metadata.xml
index 5ca4a33c252..64e9226784b 100644
--- a/kde-apps/kopete/metadata.xml
+++ b/kde-apps/kopete/metadata.xml
@@ -6,7 +6,6 @@
 		<flag name="addbookmarks">Automatically add incoming urls to bookmarks.</flag>
 		<flag name="autoreplace">Automatically replace selected text</flag>
 		<flag name="contactnotes">Enables writing personal notes for contacts.</flag>
-		<flag name="cryptography">Enable cryptography plugin</flag>
 		<flag name="highlight">Allows you to specify highlights on specific events.</flag>
 		<flag name="history">Enables saving chat history.</flag>
 		<flag name="latex">Embed latex formatted text into messages.</flag>
@@ -26,7 +25,6 @@
 		<flag name="irc">Enable the IRC protocol handler.</flag>
 		-->
 		<flag name="meanwhile">Enable the Sametime protocol handler.</flag>
-		<flag name="skype">Enable Skype protocol handler (not fully functional yet).</flag>
 		<!-- uncomment this when enabled in ebuild
 		<flag name="telepathy">Enable support for the real-time communication framework telepathy.</flag>
 		-->


^ permalink raw reply related	[flat|nested] 3+ messages in thread

end of thread, other threads:[~2017-12-28  1:38 UTC | newest]

Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-12-28  1:38 [gentoo-commits] repo/gentoo:master commit in: kde-apps/kopete/, kde-apps/kopete/files/ Andreas Sturmlechner
  -- strict thread matches above, loose matches on Subject: below --
2017-05-01  8:03 Andreas Sturmlechner
2017-02-11 13:56 Johannes Huber

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox